[CentOS] Yum update fails (fixed)

Aron.Darling at Emulex.Com Aron.Darling at Emulex.Com
Thu Nov 15 22:09:19 UTC 2007

Didn't like the fastest mirror plugin.  Thanks for all the help.


-----Original Message-----
From: centos-bounces at centos.org [mailto:centos-bounces at centos.org] On
Behalf Of Fabian Arrotin
Sent: Thursday, November 15, 2007 12:56 PM
To: CentOS mailing list
Subject: Re: [CentOS] Yum update fails

On Thu, 2007-11-15 at 15:04 -0500, Jim Perrin wrote:
> On Nov 15, 2007 2:43 PM,  <Aron.Darling at emulex.com> wrote:
> > I updated my centos 4.5 server to centos last week and I am now 
> > getting errors when I attempt to do a yum update
> >   File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 313,

> > in
> This line right here looks very suspicious to me, as centos 4.x 
> doesn't have  python 2.4, it comes with 2.3.x.
> > Any suggestions, Google has not been my friend today.
> Where'd you get your python install from?
I suppose the line 'updated my centos 4.5 server to centos last week'
means 'updated my centos 4.5 server to centos 5 last week' ... that can
explain the python 2.4 stuff ..
Anyway, why not disabling the fastestmirror plugin temporary ? 
Check for enabled= in /etc/yum/pluginconf.d/fastestmirror.conf
Then update and see it that packages was not left behind after your
upgrade to 5 .. (if that was the case ..)

Fabian Arrotin <fabian.arrotin at arrfab.net> Solution ? 
echo '16i[q]sa[ln0=aln100%Pln100/snlbx]sbA0D4D465452snlbxq' | dc

More information about the CentOS mailing list